Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.codec.wmf
Class MetaObject

    java.lang.Object
      com.lowagie.text.pdf.codec.wmf.MetaObject

Direct Known Subclasses:
  MetaBrush, MetaFont, MetaPen

    public class MetaObject

extends java.lang.Object

Field Summary
`static int` | `META_BRUSH`
`static int` | `META_FONT`
`static int` | `META_NOT_SUPPORTED`
`static int` | `META_PEN`
`int` | `type`

Constructor Summary
`MetaObject()`
`MetaObject(int type)`

Method Summary
`int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### META_NOT_SUPPORTED

    public static final int META_NOT_SUPPORTED

See Also:
  Constant Field Values

### META_PEN

    public static final int META_PEN

See Also:
  Constant Field Values

### META_BRUSH

    public static final int META_BRUSH

See Also:
  Constant Field Values

### META_FONT

    public static final int META_FONT

See Also:
  Constant Field Values

### type

    public int type

Constructor Detail

### MetaObject

    public MetaObject()

### MetaObject

    public MetaObject(int type)

Method Detail

### getType

    public int getType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD